Loading...
Searching...
No Matches
EST_GenXML Class Reference

## Static Public Member Functions

static EST_read_status | read_xml (FILE *file, const EST_String &name, EST_Utterance &u, int &max_id)
static void | register_id (const EST_String pattern, const EST_String result)
static void | registered_ids (EST_StrList &list)
static InputSource | try_and_open (Entity ent)

## Static Protected Member Functions

static void | class_init (void)

## Friends

class | ling_class_init

## Detailed Description

Definition at line 51 of file genxml.h.

## Member Function Documentation

## read_xml()

EST_read_status EST_GenXML::read_xml | ( | FILE * | file,
|  | const EST_String & | name,
|  | EST_Utterance & | u,
|  | int & | max_id )

static

Definition at line 177 of file genxml.cc.

## register_id()

void EST_GenXML::register_id | ( | const EST_String | pattern,
|  | const EST_String | result )

static

Definition at line 160 of file genxml.cc.

## registered_ids()

void EST_GenXML::registered_ids | ( | EST_StrList & | list | ) |

static

Definition at line 166 of file genxml.cc.

## try_and_open()

InputSource EST_GenXML::try_and_open | ( | Entity | ent | ) |

static

Definition at line 171 of file genxml.cc.

## class_init()

void EST_GenXML::class_init | ( | void |  | ) |

static protected

Definition at line 145 of file genxml.cc.

## Friends And Related Symbol Documentation

## ling_class_init

friend class ling_class_init

friend

Definition at line 72 of file genxml.h.

The documentation for this class was generated from the following files:

- ling_class/genxml.h
- ling_class/genxml.cc